<template>
    <breeze-authenticated-layout>
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Dashboard
            </h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                    <div class="p-6 bg-white border-b border-gray-200">
                        You're logged in!
                        <div v-if="$page.props.tasks.length">
                            <div class="taks-list-header">Your task list</div>
                            <div class="taks-list">
                                <div class="taks-list-item" v-for="task in $page.props.tasks" :key="task.id">
                                    <div class="taks-list-item__title">{{ task.title }}</div>
                                    <div class="taks-list-item__description" v-if="task.description">
                                        {{ task.description }}
                                    </div>
                                    <div class="taks-list-item__time">{{ task.updated_at }}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </breeze-authenticated-layout>
</template>

<script>
    import BreezeAuthenticatedLayout from '@/Layouts/Authenticated'

    export default {
        components: {
            BreezeAuthenticatedLayout,
        },
    }
</script>
